Subject: Re: bug#13790: Cannot paste with C-y into Homebrew emacs v24.2.1

From: Josh <[email-masked]>
Date: Wed, 6 Mar 2013 07:54:47 -0800

On Wed, Mar 6, 2013 at 1:34 AM, Jan Djärv <[email-masked]> wrote:
> Hello.
>
> I don't see what you gain by doing this compared to the builtin integration.
> If you remove your code, what does not work wrt copy/paste?
>
>     Jan D.

-nw sessions.

$ echo 'some content on the OS X clipboard' | pbcopy
$ emacs --batch --eval '(progn (yank) (send-string-to-terminal (format
"yanked text: %s" (buffer-substring (point-min) (point-max)))))'
Mark set
Kill ring is empty
$ # `~/.emacs.d/set-up-osx-clipboard.el' is the snippet I posted previously
$ emacs --batch -l ~/.emacs.d/set-up-osx-clipboard.el --eval '(progn
(yank) (send-string-to-terminal (format "yanked text: %s"
(buffer-substring (point-min) (point-max)))))' 2>/dev/null
yanked text: some content on the OS X clipboard